## IAnjutaIndenter IAnjutaIndenter — Interface for automatic indentation |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_indenter_error_quark ()
void | ianjuta_indenter_indent ()

## Types and Values

#define | IANJUTA_INDENTER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaIndenter

## Includes

    #include <libanjuta/interfaces/ianjuta-indenter.h>

## Description

## Functions

### ianjuta_indenter_error_quark ()

    GQuark
    ianjuta_indenter_error_quark (void);

#### Returns

### ianjuta_indenter_indent ()

    void
    ianjuta_indenter_indent (IAnjutaIndenter *obj,
                             IAnjutaIterable *start,
                             IAnjutaIterable *end,
                             GError **err);

Indent the area between `start` and `end` according to the indentation rules of the programming language. Usually implemented by language support plugins. Only one indenter can be loaded at a time. Note: Indenters always affect full lines, so start and end will be moved according to the next line start/end.

#### Parameters

obj | Self |
start | Start of the area to indent |
end | End of the area to indent |
err | Error propagation |

## Types and Values

### IANJUTA_INDENTER_ERROR

    #define IANJUTA_INDENTER_ERROR ianjuta_indenter_error_quark()